当前位置: 首页 > >

试论Visual Lisp编程在海洋石油工程配管设计

发布时间:

龙源期刊网 http://www.qikan.com.cn 试论 Visual Lisp 编程在海洋石油工程配管 设计 作者:郭丽宾 来源:《城市建设理论研究》2013 年第 28 期 摘要:在新形势下,相关单位的配管加工工作中,为了确保人工操作收到实效,在尽量节 省人工操作的前提下提高企业的利润空间,企业开始注重以 Visual lisp 语言为基础的 Auto— CAD 的研究,并在相关领域取得了一定的成就。随着配管加工设计工作自动化程度越来越 高,多个项目的配管加工设计中已经使用到了新系统所生产出来的配件与工具。本文主要研究 了 Visual lisp 这种基本的编程语言,并探讨了其在配管加工设计之中的运用方案,为配管加工 设计的自动化与智能化指明了发展的方向。 关键词:配管加工设计;Visual lisp;AutoCAD 二次开发;海洋石油工程 中图分类号:F470.22 文献标识码:A 在海洋石油*台上,由于其系统环境复杂,在有限的空间内要完成许多重要的工作。因此 在海洋*台的配管工程上一般选用 PDS 和 PDMS 等软件进行有效管理,首先要建立合适的三 维模型,进而在建立三维模型的基础上对模型中的配管部分进行二次设计工作。由于涵盖有不 同系统、不同种类的管线,其数量不是小数目。为了有效对数量众多的管线进行管理,确保施 工效率得到提升,可以采取对不同的管线编号,或是进行现场连接等处理。 在传统的配管工程中,一般使用 AutoCAD 软件来编制管材的序号以及施工时的安装顺 序。这种方法虽然中规中矩,但是稳重的工序也带来了繁琐的操作步骤,工作效率低下是当前 主要存在的问题。对于 AutoCAD 的使用人员来说,一般使用基本的直线、文字等命令来实现 工作所需要的指令。【1】而有关单位要想切实提高工作效率,就应当重新组合不同的命令, 以增强不同指令之间的有序性,才能是工作更加流畅。AutoCAD 不仅具有完善的绘图功能, 还能在某些领域供设计人员二次开发。经过了二次开发的指令,能够将许多特殊的指令有机地 糅合起来,以达到优化操作步骤,提高工作效率的最终目的。在海洋石油工程配管设计当中有 广泛的用途。 在 AutoCAD 的二次开发当中,Visual lisp 语言要占到十分重要的比重。该语言对 AutoCAD 的指令的兼容性较高,能够方便地完成图形编辑的拓展工作,建立起数据量庞大的 图形数据库等,便于设计人员进行相关修改,降低了二次开发工作的难度。并且操作简单,易 于上手,使用者不需要具备太多的专业知识就能够轻松掌握。 1 Visual Lisp 编程在海洋石油工程配管设计中的应用 龙源期刊网 http://www.qikan.com.cn 1.1 如何将信息添加到系统当中 操作人员一般使用“style”指令来调整文本样式,这样的指令一般在 “text”指令之前使用。 灵活变化“OSMODE”指令的值,确保对象捕捉功能的开闭。 利用“layer”指令来灵活添加或是删除图层,可以高效地添加或是删除信息。 通过调节“OSMODE”变量值能够选择使用或是不适用软件的正交功能,避免正交直角坐标 系对判断产生影响。 运用“stract”指令能够有机地结合流水号与序号之间的关系,在施工现场形成有效地施工口 令。【2】为了更进一步实现编号的自动化,可以选择在一次口令之后接上另一位进行计数。 使用“read—line”口令能够实现数据的预保存,在需要使用的时候再将数据取出,节约了人 力资源,避免出现重复操作,有效提高了工作效率,能够为企业创造更大的利润空间。 上述口令的参与能够有效提高工作效率,在接入了“atof’的实行数转换功能以及“rectang” 命令的绘画边框功能之后,对系统又是一次很好的补充。下文主要讨论如何在使用 Visual lisp 口令编制流水号的时候添加进有用的信息。 (defun c:Ish_add() (setvar“CMDECHO”0) (setvar“OSMODE”0) (vl-cmdf“ORTHO”“OFF”) (setq fp (open(setq fp (findfile“color.txt”))“r”)) (setq color (atoi (read-line fp))) (close fp ) (if ( not (tblsearch“layer”“流水号”)) (command“layer”“M”“流水号”“L”“Continuous”“流水号”“C”color“流水号”””) (if (not (tblsearch “style”“hztxt”)) (command “style”“hztxt”“宋体”0 1 0“n”“n”“n”)) 龙源期刊网 http://www.qikan.com.cn (setq P1 (getpoint “\n 请选择三维图边框右上角定点:”)) (Set fp (open (setq fp (findfile“height.txt”))“r”)) (steq width (atof (read-line fp))) (close fp) (set P2 (list (-(car P1 ) height)(-(cadr P1 )width)0)) (setq P3 (list (-(car P1)(/height 2))(-(cadr P1)(/width 2)) 0)) (command “rectang”P1 P2) (SETQ Ishhno (getstring ”\ n 请输入页码( 001, 002, 003……):”)) (setq fp (open (setq fp (findfile “systemcode.txt”))“r”)) (setq system (read-line fp)) (close fp ) (setq Ishh (strcat system “-”Ishhno)) (setq fp (open (s



友情链接: